package com.qmth.distributed.print.business.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.contant.SystemConstant;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 考试任务和流程关联表
 * </p>
 *
 * @author wangliang
 * @since 2021-11-22
 */
@ApiModel(value = "TExamTaskFlow对象", description = "考试任务和流程关联表")
public class TExamTaskFlow implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "自定义流程实体id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowEntityId;

    @ApiModelProperty(value = "考试任务id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long taskId;

    @ApiModelProperty(value = "流程id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long flowId;

    @ApiModelProperty(value = "流程等级")
    private Integer level;

    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("create_id")
    @ApiModelProperty(value = "创建人")
    private Long createId;

    @TableField(value = "create_time", fill = FieldFill.INSERT)//新增执行
    @ApiModelProperty(value = "创建时间")
    private Long createTime;

    public TExamTaskFlow() {

    }

    public TExamTaskFlow(Long flowEntityId, Long taskId, Long flowId, Integer level, Long userId) {
        setId(SystemConstant.getDbUuid());
        this.flowEntityId = flowEntityId;
        this.taskId = taskId;
        this.flowId = flowId;
        this.level = level;
        this.createId = userId;
        this.createTime = System.currentTimeMillis();
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }

    public Long getFlowEntityId() {
        return flowEntityId;
    }

    public void setFlowEntityId(Long flowEntityId) {
        this.flowEntityId = flowEntityId;
    }

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public Long getFlowId() {
        return flowId;
    }

    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }
}
